# $Revision: 1.32 $, $Date: 2002/04/13 17:34:01 $
%include	/usr/lib/rpm/macros.python

%define		module	numpy
%define		mname	Numeric

Summary:	Python numerical facilities
Summary(pl):	Moduy do oblicze numerycznych dla jzyka Python
Name:		python-%{module}
Version:	21.0
Release:	4
License:	distributable
Group:		Libraries/Python
Source0:	http://prdownloads.sourceforge.net/numpy/%{mname}-%{version}.tar.gz
URL:		http://www.pfdubois.com/numpy/
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NumPy is a collection of extension modules to provide high-performance
multidimensional numeric arrays to the Python programming language.

%description -l pl
Pakiet umoliwia wydajne obliczenia numeryczne na macierzach
wielowymiarowych.

%package devel
Summary:	C header files for numerical modules
Summary(pl):	Pliki nagwkowe jzyka C moduw numerycznych
Group:		Development/Languages/Python
%pyrequires_eq	python
Requires:	%{name} = %{version}

%description devel
C header files for numerical modules.

%description devel -l pl
Pliki nagwkowe jzyka C moduw numerycznych.

%package FFT
Summary:	Interface to the FFTPACK FORTRAN library
Summary(pl):	Interfejs do biblioteki FFTPACK jzyka Fortran
Group:		Libraries/Python
%pyrequires_eq	python
Requires:	%{name} = %{version}

%description FFT
The FFT.py module provides a simple interface to the FFTPACK FORTRAN
library, which is a powerful standard library for doing fast Fourier
transforms of real and complex data sets.

%description FFT -l pl
Modu FFT zawiera prosty interfejs do biblioteki FFTPACK jzyka
Fortran. Ta biblioteka o wysokich moliwociach jest standardowo
uywana do prowadzenia oblicze za pomoc dyskretnej transformaty
Fouriera na liczba rzeczywistych i zespolonych.

%package kinds
Summary:	Implementation of PEP 0242 - precision and range control of numeric computations
Summary(pl):	Implementacja propozycji PEP 0242 - moliwo kontrolowania precyzji i zakresu oblicze numerycznych
Group:		Libraries/Python
%pyrequires_eq	python
Requires:	%{name} = %{version}

%description kinds
This is implementation of PEP 0242. PEP's abstract follows:

This proposal gives the user optional control over the precision and
range of numeric computations so that a computation can be written
once and run anywhere with at least the desired precision and range.
It is backward compatible with existing code.

%description kinds -l pl
Modu zawiera implementacj propozycji PEP 0242. Oto jej streszczenie.

Propozycja ta umoliwia uytkownikowi, opcjonalnie, kontrol nad
precyzj i zakresem oblicze numerycznych. Dziki temu raz napisane
obliczenia mog by uruchamiane na dowolnej maszynie. Mechanizm jest
kompatybilny wstecz z istniejcymi programami.

%package MA
Summary:	MA - a facility for dealing with masked arrays
Summary(pl):	Modu do obsugi macierzy niepenych
Group:		Libraries/Python
%pyrequires_eq	python
Requires:	%{name} = %{version}

%description MA
Masked arrays are arrays that may have missing or invalid entries.
Module MA provides a work-alike replacement for Numeric that supports
data arrays with masks.

%description MA -l pl
Macierze niepene s to macierze, ktrym moe brakowa lub mog
zawiera niepoprawne wartoci. Modu MA zawiera odpowiednie narzdzia
do operowania na tego typu macierzach.

%package Properties
Summary:	Property class implementation for Python
Summary(pl):	Implementacja klasy z waciwociami dla jzyka Python
Group:		Libraries/Python
%pyrequires_eq	python
Requires:	%{name} = %{version}

%description Properties
PropertiedClass is a mixin class that can be used to emulate
properties in a Python class. A property is an attribute whose read,
write, or deleting requires special handling. It is also possible to
use this facility to prevent the writing or deleting of a property.

%description Properties -l pl
PropertiedClass jest klas, ktra moe by uyta do emulacji
waciwoci w klasach jzyka Python. Waciwo klasy jest atrybutem,
ktrego czytanie, przypisywanie mu wartoci, czy te jego usuwanie
powinno by traktowane w sposb specjalny. Mechanizm ten moe by te
uywany w celu ustalenia jakiego atrybutu jako tylko do odczytu.

%package RNG
Summary:	Random Number Generator Object for NumPy
Summary:	Obiekt generatora liczb losowych dla moduu NumPy
Group:		Libraries/Python
%pyrequires_eq	python
Requires:	%{name} = %{version}

%description RNG
RNG provides a random number object to Numerical Python.

%description RNG -l pl
Modu ten zawiera implementacj obiektu generatora liczb losowych dla
jzyka Python.

%prep
%setup -q -n %{mname}-%{version}

%build
CC="%{__cc}"; export CC
CFLAGS="%{rpmcflags}"; export CFLAGS
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitedir}/%{mname}
%{py_sitedir}/%{mname}.pth
%attr(755,root,root) %{py_sitedir}/%{mname}/*.so
%{py_sitedir}/%{mname}/*.py[co]

%files devel
%defattr(644,root,root,755)
%{py_incdir}/%{mname}

%files FFT
%defattr(644,root,root,755)
%dir %{py_sitedir}/%{mname}/FFT
%attr(755,root,root) %{py_sitedir}/%{mname}/FFT/*.so
%{py_sitedir}/%{mname}/FFT/*.py[co]

%files kinds
%defattr(644,root,root,755)
%dir %{py_sitedir}/%{mname}/kinds
%attr(755,root,root) %{py_sitedir}/%{mname}/kinds/*.so
%{py_sitedir}/%{mname}/kinds/*.py[co]

%files MA
%defattr(644,root,root,755)
%dir %{py_sitedir}/%{mname}/MA
%{py_sitedir}/%{mname}/MA/*.py[co]

%files Properties
%defattr(644,root,root,755)
%dir %{py_sitedir}/%{mname}/PropertiedClasses
%{py_sitedir}/%{mname}/PropertiedClasses/*.py[co]

%files RNG
%defattr(644,root,root,755)
%dir %{py_sitedir}/%{mname}/RNG
%attr(755,root,root) %{py_sitedir}/%{mname}/RNG/*.so
%{py_sitedir}/%{mname}/RNG/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: python-numpy.spec,v $
Revision 1.32  2002/04/13 17:34:01  kloczek
- rebuild against pythin 2.2.1.

Revision 1.31  2002/04/11 13:58:38  wrobell
- rel. 4, stb

Revision 1.30  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.29  2002/03/20 11:04:10  wrobell
- fixed devel subpackage group
- rel. 3
- stb

Revision 1.28  2002/03/20 08:26:06  filon
- groups changed to Libraies/Python (back up wrobbel's change)
- release 2

Revision 1.27  2002/03/19 23:56:01  filon
- updated to 21.0
- location of submodules has changed

Revision 1.25  2002/02/23 04:25:51  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/06 09:05:10  kloczek
- adapterized.

Revision 1.22  2002/02/04 03:17:22  kloczek
- release 2: rebuild against python 2.2 and adapterize spec file.

Revision 1.21  2002/01/25 22:11:54  misiek
- updated to 20.3

Revision 1.20  2002/01/18 02:14:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/11/24 01:36:40  kloczek
- cosmetics.

Revision 1.18  2001/11/12 17:34:14  wrobell
- use py_incdir macro for python includes

Revision 1.17  2001/11/12 09:43:43  qboosh
- BuildRequires: rpm-pythonprov

Revision 1.16  2001/11/11 19:07:13  wrobell
- use standard python macros

Revision 1.15  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.14  2001/11/01 11:19:11  wrobell
- ver. 20.2.0
- use CFLAGS

Revision 1.13  2001/09/08 19:45:21  kloczek
- release 2: rebuild.

Revision 1.12  2001/08/23 14:07:35  wrobell
- version 20.1.0
- rebuilded with python 2.1.1
- stb

Revision 1.11  2001/07/03 17:24:22  kloczek
- cut %changelog.

Revision 1.10  2001/07/03 17:14:02  wrobell
- spec contains all descriptions with pl translations
- stb

Revision 1.9  2001/07/02 17:25:03  wrobell
- fixed requires
- added summaries and descriptions with pl translations

Revision 1.8  2001/06/22 13:29:23  wrobell
- pl translations added for main package
- summary and descriptions with pl translation for devel subpackage

Revision 1.7  2001/05/31 17:00:12  wrobell
- simplified file list

Revision 1.6  2001/05/31 11:29:46  wrobell
- updated for 20.1.0a3
- builds with Python 2.1

Revision 1.5  2001/05/02 21:51:28  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.4  2000/06/09 07:23:52  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.1  1999/11/02 12:59:02  baggins
- rename

Revision 1.6  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).
